package com.vetti.hotake.service;

import java.util.List;
import com.vetti.hotake.domain.HotakeCandidateCompliance;
import com.vetti.hotake.domain.dto.CandidateComplianceDto;
import org.springframework.web.multipart.MultipartFile;

public interface IHotakeCandidateComplianceService
{
    public CandidateComplianceDto selectHotakeCandidateComplianceById(Long id);

    public List<CandidateComplianceDto> selectHotakeCandidateComplianceList(HotakeCandidateCompliance hotakeCandidateCompliance);

    public int insertHotakeCandidateCompliance(MultipartFile file, HotakeCandidateCompliance hotakeCandidateCompliance);

    public int updateHotakeCandidateCompliance(MultipartFile file, HotakeCandidateCompliance hotakeCandidateCompliance);

    public int deleteHotakeCandidateComplianceByIds(Long[] ids);

    public int deleteHotakeCandidateComplianceById(Long id);
}
